## GwyLayerAxis

GwyLayerAxis — Data view layer for selections along either axis

## Functions

GwyVectorLayer * | gwy_layer_axis_new ()
gdouble | gwy_layer_axis_get_thickness ()
void | gwy_layer_axis_set_thickness ()

## Properties

double | thickness | Read / Write

## Types and Values

struct | GwyLayerAxis
struct | GwyLayerAxisClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GwyDataViewLayer
                ╰── GwyVectorLayer
                    ╰── GwyLayerAxis

## Includes

    #include <libgwyui/gwyui.h>

## Description

GwyLayerAxis allows selection of lines oriented along either of the cardinal axes or both. It uses GwySelectionAxis selection type.

## Functions

### gwy_layer_axis_new()

    GwyVectorLayer *
    gwy_layer_axis_new (void);

Creates a new axis vector layer.

#### Returns

A newly created axis vector layer.

### gwy_layer_axis_get_thickness()

    gdouble
    gwy_layer_axis_get_thickness (GwyLayerAxis *layer);

Gets the size of markers denoting line thickness.

#### Parameters

layer | A axis vector layer. |

#### Returns

Line thickness.

### gwy_layer_axis_set_thickness()

    void
    gwy_layer_axis_set_thickness (GwyLayerAxis *layer,
                                  gdouble thickness);

Sets the size of markers denoting line thickness.

#### Parameters

layer | A axis vector layer. |
thickness | Marker size, denoting line thickness. |

## Types and Values

### struct GwyLayerAxis

    struct GwyLayerAxis;

### struct GwyLayerAxisClass

    struct GwyLayerAxisClass {
        GwyVectorLayerClass parent_class;
    };

## Property Details

### The `“thickness”` property

      “thickness”                double

Size of markers denoting line thickness.

Owner: GwyLayerAxis

Flags: Read / Write

Allowed values: [0,1024]

Default value: 0

## See Also

GwyLayerCross